POST api/Dashboard/GetDashboardPSD/search
Request Information
URI Parameters
None.
Body Parameters
QueryParameter| Name | Description | Type | Additional information |
|---|---|---|---|
| PageNum | integer |
None. |
|
| PageSize | integer |
None. |
|
| Sort | Sort |
None. |
|
| Sorts | Collection of Sort |
None. |
|
| Filters | Collection of Filter |
None. |
|
| extends | Dictionary of string [key] and Object [value] |
None. |
Request Formats
application/json, text/json
Sample:
{
"PageNum": 1,
"PageSize": 2,
"Sort": {
"Field": "sample string 1",
"Dir": "sample string 2"
},
"Sorts": [
{
"Field": "sample string 1",
"Dir": "sample string 2"
},
{
"Field": "sample string 1",
"Dir": "sample string 2"
}
],
"Filters": [
{
"Field": "sample string 1",
"Operator": "sample string 2",
"Value": {},
"Logic": "sample string 4",
"Filters": []
},
{
"Field": "sample string 1",
"Operator": "sample string 2",
"Value": {},
"Logic": "sample string 4",
"Filters": []
}
],
"extends": {
"sample string 1": {},
"sample string 3": {}
}
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfListOfDashboardPSDDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of DashboardPSDDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"Id": 1,
"CorporationCode": "sample string 2",
"EmployeeId": "sample string 3",
"CaseNo": 1,
"Reason": "sample string 4",
"UserName": "sample string 5",
"LastName": "sample string 6",
"FirstName": "sample string 7",
"CompanyName": "sample string 8",
"WLName": "sample string 9",
"CompanyEmployeeId": "sample string 10",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:54:52.3016096-07:00",
"DateUpdated": "2026-06-20T12:54:52.3016096-07:00",
"UserIDCreated": 14,
"UserIDUpdated": 15,
"CompanyCode": "sample string 16",
"IsExcludeDiscount": true
},
{
"Id": 1,
"CorporationCode": "sample string 2",
"EmployeeId": "sample string 3",
"CaseNo": 1,
"Reason": "sample string 4",
"UserName": "sample string 5",
"LastName": "sample string 6",
"FirstName": "sample string 7",
"CompanyName": "sample string 8",
"WLName": "sample string 9",
"CompanyEmployeeId": "sample string 10",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:54:52.3016096-07:00",
"DateUpdated": "2026-06-20T12:54:52.3016096-07:00",
"UserIDCreated": 14,
"UserIDUpdated": 15,
"CompanyCode": "sample string 16",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}